## org.exist.webstart
Class JnlpJarFiles

    java.lang.Object
      org.exist.webstart.JnlpJarFiles

public class JnlpJarFiles
extends java.lang.Object

Class for managing webstart jar files.

Author:
  Dannes Wessels

Constructor Summary
`JnlpJarFiles(JnlpHelper jnlpHelper)` Creates a new instance of JnlpJarFiles

Method Summary
`java.io.File[]` `getCoreJars()` Get references to all "core" jar files.
`java.io.File` `getFile(java.lang.String name)` Get File reference of associated jar-file.
`java.io.File` `getJar(java.io.File folder, java.lang.String jarFileBaseName)` Get jar file specified by file pattern.
`java.io.File` `getMainJar()` Get references to all "exist" jar files.
`void` `setMainJar(java.io.File mainJar)` Setter for property mainJar.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JnlpJarFiles

    public JnlpJarFiles(JnlpHelper jnlpHelper)

  Creates a new instance of JnlpJarFiles

Parameters:
  `jnlpHelper` -

Method Detail

### getJar

    public java.io.File getJar(java.io.File folder,
                               java.lang.String jarFileBaseName)

  Get jar file specified by file pattern.

  Parameters:
    `folder` - Directory containing the jars.
    `jarFileBaseName` - Name of jar file, including %latest% token if necessary sans .jar file extension.
  Returns:
    File object of jar file, null if not found.

### getCoreJars

    public java.io.File[] getCoreJars()

  Get references to all "core" jar files.

  Returns:
    Array of Files.

### getMainJar

    public java.io.File getMainJar()

  Get references to all "exist" jar files.

  Returns:
    Reference to exist.jar.

### setMainJar

    public void setMainJar(java.io.File mainJar)

  Setter for property mainJar.

  Parameters:
    `mainJar` - New value of property mainJar.

### getFile

    public java.io.File getFile(java.lang.String name)

  Get File reference of associated jar-file.

  Parameters:
    `name` -
  Returns:
    File reference to resource.

Copyright (C) Wolfgang Meier. All rights reserved.